#ifndef _Handle_PDataStd_BooleanArray_HeaderFile
#define _Handle_PDataStd_BooleanArray_HeaderFile

#ifndef _Standard_Macro_HeaderFile
#include <Standard_Macro.hxx>
#endif

#ifndef _Handle_PDF_Attribute_HeaderFile
#include <Handle_PDF_Attribute.hxx>
#endif
#ifndef _Standard_HeaderFile
#include <Standard.hxx>
#endif

class Standard_Persistent;
class Handle_Standard_Type;
class Handle(PDF_Attribute);
class PDataStd_BooleanArray;
Standard_EXPORT Handle_Standard_Type& STANDARD_TYPE(PDataStd_BooleanArray);

class Handle(PDataStd_BooleanArray) : public Handle(PDF_Attribute) {
  public:

    Handle(PDataStd_BooleanArray)():Handle(PDF_Attribute)() {} 
    Handle(PDataStd_BooleanArray)(const Handle(PDataStd_BooleanArray)& aHandle) : Handle(PDF_Attribute)(aHandle) 
     {
     }

    Handle(PDataStd_BooleanArray)(const PDataStd_BooleanArray* anItem) : Handle(PDF_Attribute)((PDF_Attribute *)anItem) 
     {
     }

    Handle(PDataStd_BooleanArray)& operator=(const Handle(PDataStd_BooleanArray)& aHandle)
     {
      Assign(aHandle.Access());
      return *this;
     }

    Handle(PDataStd_BooleanArray)& operator=(const PDataStd_BooleanArray* anItem)
     {
      Assign((Standard_Persistent *)anItem);
      return *this;
     }

    PDataStd_BooleanArray* operator->() const 
     {
      return (PDataStd_BooleanArray *)ControlAccess();
     }

   Standard_EXPORT static const Handle(PDataStd_BooleanArray) DownCast(const Handle(Standard_Persistent)& AnObject);
};
#endif
